com_company_demoresources_jscomponent_DemoGallery = function () {
    var connector =  this;
    var element = connector.getElement();

    element.innerHTML = '<div id="demo-gallery"></div>';

    console.log('TAAG init');

    function addImage(uri) {
        var img = document.createElement('img');
        var url = connector.translateVaadinUri(uri);
        img.src = url;

        console.log('TAAG ' + url);

        img.style.width = "100px";
        img.style.height = "100px";
        element.append(img);
    }

    connector.onStateChange = function() {
        var state = connector.getState();

        if (!state.resources) {
            return;
        }
        // Whether images are attached to the connector
        if (Object.keys(state.resources).length) {
            for (var resource in state.resources) {
                addImage(state.resources[resource].uRL);
            }
        }
    }
}