package com.company.demoresources.jscomponent;

import com.vaadin.annotations.JavaScript;
import com.vaadin.server.KeyMapper;
import com.vaadin.server.Resource;
import com.vaadin.ui.AbstractJavaScriptComponent;
import io.jmix.ui.component.FileStorageResource;
import io.jmix.ui.component.impl.WebResource;

@JavaScript({
        "vaadin://demogallery/demo-gallery-connector.js"
})
public class DemoGallery extends AbstractJavaScriptComponent {

    protected KeyMapper<Resource> resourceKeyMapper = new KeyMapper<>();

    public void addFileStorageResource(FileStorageResource resource) {
        com.vaadin.server.Resource vResource = null;
        if (resource != null && ((WebResource) resource).hasSource()) {
            vResource = ((WebResource) resource).getResource();
        }

        if (vResource != null) {
            String key = resourceKeyMapper.key(vResource);
            setResource(key, vResource);
        }
    }
}
